List WhatsApp conversations (Messages inbox)
curl --request GET \
--url https://api.pineyard.ai/whatsapp/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"conversations": [
{
"id": "<string>",
"phone": "<string>",
"contactId": "<string>",
"contactName": "<string>",
"lastMessageAt": "<string>",
"lastMessagePreview": "<string>",
"lastMessageDirection": "INBOUND",
"unreadCount": 123,
"windowOpen": true,
"waiting": true,
"archived": true,
"callId": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"campaignContactId": "<string>",
"disposition": "<string>",
"lastStatus": "QUEUED",
"lastFailureReason": "<string>",
"dispositionSource": "<string>",
"replied": true,
"everDelivered": true,
"everRead": true,
"everFailed": true,
"docSent": true,
"docDelivered": true,
"docRead": true,
"clicks": 123,
"firstClickAt": "<string>"
}
],
"waitingCount": 123,
"hasMore": true
}Conversations
List WhatsApp conversations (Messages inbox)
GET
/
whatsapp
/
conversations
List WhatsApp conversations (Messages inbox)
curl --request GET \
--url https://api.pineyard.ai/whatsapp/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"conversations": [
{
"id": "<string>",
"phone": "<string>",
"contactId": "<string>",
"contactName": "<string>",
"lastMessageAt": "<string>",
"lastMessagePreview": "<string>",
"lastMessageDirection": "INBOUND",
"unreadCount": 123,
"windowOpen": true,
"waiting": true,
"archived": true,
"callId": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"campaignContactId": "<string>",
"disposition": "<string>",
"lastStatus": "QUEUED",
"lastFailureReason": "<string>",
"dispositionSource": "<string>",
"replied": true,
"everDelivered": true,
"everRead": true,
"everFailed": true,
"docSent": true,
"docDelivered": true,
"docRead": true,
"clicks": 123,
"firstClickAt": "<string>"
}
],
"waitingCount": 123,
"hasMore": true
}
